# Part of RXJIS
# YANO Takashi
# tyano@bekkoame.or.jp or tyano@yamato.ibm.co.jp
# history: 
# 1996-2-5 0.00 initial release
# 1996-2-14 0.10 add some options to reduce size
#                -Ol -Gu -B "/EXEPACK:2"
# 1996-3-20 0.20 Add ZIP to -9 (better compress) option
# 1996-4-15 0.30 Add -Sn (DBCS) option
# 1996-4-21 0.30 Drop EXEPACK:2
#                Add implib process
#                Add rxjis.h/rxjis.lib


RXJIS.DLL: $(@B).CPP $(@B).DEF $(@B).MAK
   @icc -Q -J -Sn -Ge-md-u -W3 -Sinp1 -Fm -Ol -B "/EXEPACK" $(@B).CPP $(@B).DEF REXX.LIB
   @mapsym $(@B)
   @erase $(@B).OBJ
   @implib /NOI $(@B).lib $(@B).def

RXJIS.ZIP: RXJIS.CPP RXJIS.MAK RXJIS.DLL RXJIS.DEF RXJIS.MAK BUILD.CMD MIMESEND.CMD MIMERECV.CMD RXJIS.DOC RXJIS.H RXJIS.LIB
   @-erase $(@B).ZIP
   @zip -q9 $(@B).ZIP $**
